## fuse-archive 1.12

=== Makefile ===
PROJECT = fuse-archive
PKG_CONFIG ?= pkg-config

FUSE_MAJOR_VERSION ?= 3

ifeq ($(FUSE_MAJOR_VERSION), 3)
DEPS = fuse3
CXXFLAGS += -DFUSE_USE_VERSION=30
else ifeq ($(FUSE_MAJOR_VERSION), 2)
DEPS = fuse
CXXFLAGS += -DFUSE_USE_VERSION=26
endif

DEPS += libarchive

CXXFLAGS += $(shell $(PKG_CONFIG) --cflags $(DEPS))
LDFLAGS += $(shell $(PKG_CONFIG) --libs $(DEPS))
STD := c++20
CXXFLAGS += -std=$(STD) -Wall -Wextra -Wno-missing-field-initializers -Wno-sign-compare -Wno-unused-parameter
CXXFLAGS += -D_FILE_OFFSET_BITS=64

ifeq ($(DEBUG), 1)
CXXFLAGS += -O0 -g
else
CXXFLAGS += -O2 -DNDEBUG
endif

PREFIX = $(DESTDIR)/usr
BINDIR = $(PREFIX)/bin
MAN = $(PROJECT).1
MANDIR = $(PREFIX)/share/man/man1
INSTALL = install


all: out/$(PROJECT)

check: out/$(PROJECT) test/data/big.zip test/data/collisions.zip
	python3 test/test.py

clean:
	rm -rf out

doc: $(MAN)
	man -l $(MAN)

$(MAN): README.md
	pandoc $< -s -t man -o $@

install: out/$(PROJECT)
	$(INSTALL) -D "out/$(PROJECT)" "$(BINDIR)/$(PROJECT)"
	$(INSTALL) -D -m 644 $(MAN) "$(MANDIR)/$(MAN)"

install-strip: out/$(PROJECT)
	$(INSTALL) -D -s "out/$(PROJECT)" "$(BINDIR)/$(PROJECT)"
	$(INSTALL) -D -m 644 $(MAN) "$(MANDIR)/$(MAN)"

uninstall:
	rm "$(BINDIR)/$(PROJECT)" "$(MANDIR)/$(MAN)"

out/$(PROJECT): $(PROJECT).cc
	mkdir -p out
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $< $(LDFLAGS) -o $@

test/data/big.zip: test/make_big_zip.py
	python3 test/make_big_zip.py

test/data/collisions.zip: test/make_collisions.py
	python3 test/make_collisions.py

.PHONY: all check clean doc install uninstall

=== debian/changelog ===
fuse-archive (1.12-18deepin1) unstable; urgency=medium

  * import upstream v1.12-18 by 0b4c7e52dc247f24c08ed81273c52fdaaf2ad46d

 -- heysion <heysion@deepin.com>  Wed, 11 Jun 2025 13:12:33 +0800

fuse-archive (1.0-1) unstable; urgency=medium

  * Initial release

 -- Tsic404 <liuheng@deepin.org>  Sat, 28 Jan 2023 13:46:49 +0800

=== debian/control ===
Source: fuse-archive
Section: unknown
Priority: optional
Maintainer: Tsic404 <liuheng@deepin.org>
Build-Depends: debhelper (>= 11), pkg-config, python3-dev, libarchive-dev, libfuse-dev, libfuse3-dev, libboost-dev, liblz4-dev, make, brotli, ncompress, lrzip, lzop
Standards-Version: 4.1.3
Homepage: https://github.com/deepin-community/fuse-archive

Package: fuse-archive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mount an archive as a FUSE file system
 Mount an archive or compressed file as a FUSE file system.
 Fuse-archive is a program that serves an archive or compressed file. 
 It is a FUSE file system that allows you to mount an archive or compressed file as a file system.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@


override_dh_auto_test:
	if /sbin/modinfo fuse > /dev/null 2>&1; then \
		dh_auto_test; \
	else \
		echo "Skipping dh_auto_test because found fuse failed"; \
	fi
